Get rewards by Operator.
curl --request GET \
--url https://api.rated.network/v1/eigenlayer/entities/{operator_address}/rewards \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v1/eigenlayer/entities/{operator_address}/rewards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v1/eigenlayer/entities/{operator_address}/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"previous": "<string>",
"next": "<string>",
"pages": 1,
"results": [
{
"activatedAt": 1726599623,
"amount": 1432232,
"date": "2024-10-01",
"delegatorAddress": "0xfff1ce616cf83327981bf61396ad0c04e0c8b771",
"distributionRootIndex": 1,
"operators": [
[
{
"address": "0x74134d0c91798d720a5585364bb4be7396c5b973",
"name": "Bob the Operator"
}
]
],
"prices": [
{
"ethAmount": 0.0232,
"ethPrice": 0.99829323,
"usdAmount": 58.74,
"usdPrice": 2532.14
}
],
"snapshotTimestamp": 1726358400000,
"token": [
{
"address": "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
"decimals": 18,
"name": "Wrapped Ether",
"symbol": "WETH"
}
]
}
]
}{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Rewards
Get rewards by Operator.
Returns the rewards of an Operator with specified granularity (day or week)
GET
/
v1
/
eigenlayer
/
entities
/
{operator_address}
/
rewards
Get rewards by Operator.
Using this endpoint, you can query per eigenlayer operator using its operator address, and you will see that particular operator’s rewards history, broken down per token. It gives the amount per token, the date when they were distributed (
date), and the date when they are claimable (activatedAt given in milliseconds). The ETH and USD prices of the token are also given based on the day when the rewards are claimable. Pricing data is provided by Coingecko.
Based on the granularity parameter, the rewards can be aggregated on a weekly (week) or daily (day) basis.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
mainnet, hoodi, holesky Path Parameters
Query Parameters
Start date
Example:
"2023-01-01"
End date
Example:
"2023-12-31"
Granularity of the rewards data (day or week). Defaults to day.
The number of results returned per page
Required range:
x >= 0The number of results to skip before starting to return
Required range:
x >= 0